Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1233637 - [abrt] gnome-software: g_ptr_array_add(): gnome-software killed by SIGSEGV
Summary: [abrt] gnome-software: g_ptr_array_add(): gnome-software killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:0e99cc032924a9cdafdfb622c51...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-19 10:31 UTC by M2wa2
Modified: 2015-10-09 06:14 UTC (History)
2 users (show)

Fixed In Version: gnome-software-3.18.0-2.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-09 06:14:19 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (deleted)
2015-06-19 10:31 UTC, M2wa2
no flags Details
File: cgroup (deleted)
2015-06-19 10:31 UTC, M2wa2
no flags Details
File: core_backtrace (deleted)
2015-06-19 10:31 UTC, M2wa2
no flags Details
File: dso_list (deleted)
2015-06-19 10:31 UTC, M2wa2
no flags Details
File: environ (deleted)
2015-06-19 10:31 UTC, M2wa2
no flags Details
File: limits (deleted)
2015-06-19 10:31 UTC, M2wa2
no flags Details
File: maps (deleted)
2015-06-19 10:31 UTC, M2wa2
no flags Details
File: mountinfo (deleted)
2015-06-19 10:31 UTC, M2wa2
no flags Details
File: namespaces (deleted)
2015-06-19 10:31 UTC, M2wa2
no flags Details
File: open_fds (deleted)
2015-06-19 10:31 UTC, M2wa2
no flags Details
File: proc_pid_status (deleted)
2015-06-19 10:31 UTC, M2wa2
no flags Details

Description M2wa2 2015-06-19 10:31:29 UTC
Version-Release number of selected component:
gnome-software-3.17.2-1.fc23

Additional info:
reporter:       libreport-2.6.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: g_ptr_array_add
executable:     /usr/bin/gnome-software
global_pid:     1853
kernel:         4.1.0-0.rc7.git1.1.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_ptr_array_add at garray.c:1384
 #1 gs_app_add_screenshot at gs-app.c:1377
 #2 gs_plugin_refine_add_screenshots at gs-plugin-appstream.c:387
 #3 gs_plugin_refine_item at gs-plugin-appstream.c:595
 #4 gs_plugin_refine_from_id at gs-plugin-appstream.c:678
 #5 gs_plugin_refine at gs-plugin-appstream.c:743
 #6 gs_plugin_loader_run_refine_plugin at gs-plugin-loader.c:218
 #7 gs_plugin_loader_run_refine at gs-plugin-loader.c:280
 #8 gs_plugin_loader_run_results at gs-plugin-loader.c:445
 #9 gs_plugin_loader_get_featured_thread_cb at gs-plugin-loader.c:1266

Comment 1 M2wa2 2015-06-19 10:31:34 UTC
Created attachment 1040860 [details]
File: backtrace

Comment 2 M2wa2 2015-06-19 10:31:36 UTC
Created attachment 1040861 [details]
File: cgroup

Comment 3 M2wa2 2015-06-19 10:31:38 UTC
Created attachment 1040862 [details]
File: core_backtrace

Comment 4 M2wa2 2015-06-19 10:31:40 UTC
Created attachment 1040863 [details]
File: dso_list

Comment 5 M2wa2 2015-06-19 10:31:42 UTC
Created attachment 1040864 [details]
File: environ

Comment 6 M2wa2 2015-06-19 10:31:44 UTC
Created attachment 1040865 [details]
File: limits

Comment 7 M2wa2 2015-06-19 10:31:47 UTC
Created attachment 1040866 [details]
File: maps

Comment 8 M2wa2 2015-06-19 10:31:49 UTC
Created attachment 1040867 [details]
File: mountinfo

Comment 9 M2wa2 2015-06-19 10:31:51 UTC
Created attachment 1040868 [details]
File: namespaces

Comment 10 M2wa2 2015-06-19 10:31:53 UTC
Created attachment 1040869 [details]
File: open_fds

Comment 11 M2wa2 2015-06-19 10:31:55 UTC
Created attachment 1040870 [details]
File: proc_pid_status

Comment 12 Jan Kurik 2015-07-15 13:58:31 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 13 Fedora Update System 2015-10-07 13:21:01 UTC
gnome-software-3.18.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-88c71c30c0

Comment 14 Fedora Update System 2015-10-07 16:27:12 UTC
gnome-software-3.18.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gnome-software'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-88c71c30c0

Comment 15 Fedora Update System 2015-10-09 06:13:58 UTC
gnome-software-3.18.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.